specaddm
Prev | Deprecated Orchestra Opcodes and GEN Routines | Next

## specaddm

specaddm — Perform a weighted add of two input spectra.

## Description

Perform a weighted add of two input spectra.

## Syntax

    wsig specaddm wsig1, wsig2 [, imul2]

## Initialization

imul2 (optional, default=0) -- if non-zero, scale the wsig2 magnitudes before adding. The default value is 0.

## Performance

wsig1 -- the first input spectra.

wsig2 -- the second input spectra.

Do a weighted add of two input spectra. For each channel of the two input spectra, the two magnitudes are combined and written to the output according to:

magout = mag1in + mag2in * imul2

The operation is performed whenever the input wsig1 is sensed to be new. This unit will (at Initialization) verify the consistency of the two spectra (equal size, equal period, equal mag types).

## See Also

specdiff, specfilt, spechist, specscal

Prev | Up | Next
peakk | Home | specdiff